Problem upgrading Tensorflow under Anaconda

I tried to upgrade tensorflow today. I have a virtualenv for version 2 installed under anaconda 3. If I simply run

pip install -U tensorflow

I got error like

Cannot remove entries from nonexistent file /home/user/dummy/anaconda32/envs/tst/lib/site-pack
ages/easy-install.pth

It turns out that this appears to be a bug from Ananconda, adding “–ignore-installed” seems to be able to workaround the problem. That is,

pip install -U tensorflow --ignore-installed

 

 

 

2 Replies to “Problem upgrading Tensorflow under Anaconda”

Leave a Reply

Your email address will not be published. Required fields are marked *